;######################################################################
;#                                                                    #
;#    AVR ChipBasic2 API V1.35 API Address definitions                #
;#    (c) 2009-2010 Joerg Wolfram                                     #
;#                                                                    #
;# This program is free software; you can redistribute it and/or      #
;# modify it under the terms of the GNU General Public License        #
;# as published by the Free Software Foundation; either version 3     #
;# of the License, or (at your option) any later version.             #
;#                                                                    #
;# This program is distributed in the hope that it will be useful,    #
;# but WITHOUT ANY WARRANTY; without even the implied warranty of     #
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the GNU    #
;# General Public License for more details.                           #
;#                                                                    #
;# You should have received a copy of the GNU General Public          #
;# License along with this library; if not, write to the              #
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,       #
;# Boston, MA 02111-1307, USA.                                        #
;#                                                                    #
;######################################################################
.equ	api_token	= 0x001e
.equ	api_untoken	= 0x0020
.equ	api_version	= 0x0022
.equ	api_popxyz	= 0x0024
.equ	api_pushxyz	= 0x0025
.equ	api_popregs	= 0x0026
.equ	api_pushregs	= 0x0027
.equ	api_getvram	= 0x0028
.equ	api_getsysram	= 0x002b
.equ	api_getpal	= 0x002e
.equ	api_getarray	= 0x0031
.equ	api_getchart0	= 0x0034
.equ	api_getchart1	= 0x0037
.equ	api_getbuffer	= 0x003a
.equ	api_getvalues	= 0x003d
.equ	api_getpartab	= 0x0040
.equ	api_getvar	= 0x0043
.equ	api_dataptr	= 0x0055
.equ	api_getbase	= 0x0057
.equ	api_getprog	= 0x0059
.equ	api_getprog_1	= 0x005d
.equ	api_getprog_2	= 0x0061
.equ	api_setcolor	= 0x0062
.equ	api_setfcolor	= 0x0064
.equ	api_setborder	= 0x0066
.equ	api_setvmode	= 0x0068
.equ	api_setpalette	= 0x006a
.equ	api_sync	= 0x006c
.equ	api_slow	= 0x006e
.equ	api_fast	= 0x0070
.equ	api_setchannel	= 0x0072
.equ	api_setfont	= 0x0074
.equ	api_clrscr	= 0x0076
.equ	api_outchar	= 0x0078
.equ	api_outdez	= 0x007a
.equ	api_outhex	= 0x007c
.equ	api_gotoxy	= 0x007e
.equ	api_romtext	= 0x0080
.equ	api_thistext	= 0x0082
.equ	api_cbox	= 0x0084
.equ	api_ibox	= 0x0087
.equ	api_scroll	= 0x008a
.equ	api_newline	= 0x008c
.equ	api_sprite	= 0x008e
.equ	api_cursor	= 0x0090
.equ	api_waitkey	= 0x0094
.equ	api_nokey	= 0x0096
.equ	api_kstate	= 0x0098
.equ	api_kflags	= 0x009c
.equ	api_getkey	= 0x009f
.equ	api_lastkey	= 0x00a2
.equ	api_scancode	= 0x00a5
.equ	api_putser	= 0x00a8
.equ	api_getser	= 0x00aa
.equ	api_getserb	= 0x00ac
.equ	api_putser2	= 0x00ae
.equ	api_getser2	= 0x00b0
.equ	api_getserb2	= 0x00b2
.equ	api_putpar	= 0x00b4
.equ	api_putxm	= 0x00b6
.equ	api_getxm	= 0x00b8
.equ	api_putsernl	= 0x00ba
.equ	api_putsernl2	= 0x00bc
.equ	api_baud2	= 0x00be
.equ	api_hexline	= 0x00c0
.equ	api_plot	= 0x00c2
.equ	api_draw	= 0x00c4
.equ	api_box		= 0x00c6
.equ	api_fbox	= 0x00c8
.equ	api_circle	= 0x00ca
.equ	api_fcircle	= 0x00ce
.equ	api_bcopy1	= 0x00d2
.equ	api_bcopy2	= 0x00d4
.equ	api_bcopy3	= 0x00d6
.equ	api_menu	= 0x00d8
.equ	api_drawmenu	= 0x00da
.equ	api_alert	= 0x00dc
.equ	api_ask		= 0x00de
.equ	api_alertthis	= 0x00e0
.equ	api_askthis	= 0x00e2
.equ	api_alert_nb	= 0x00e4
.equ	api_ask_nb	= 0x00e6
.equ	api_alertthis_nb	= 0x00e8
.equ	api_askthis_nb	= 0x00ea
.equ	api_wbox	= 0x00ec
.equ	api_whbox	= 0x00ee
.equ	api_saywrite	= 0x00f0
.equ	api_saytransfer	= 0x00f2
.equ	api_note	= 0x00f4
.equ	api_setvolume	= 0x00f6
.equ	api_startseq	= 0x00f8
.equ	api_setseq	= 0x00fa
.equ	api_getseq	= 0x00fc
.equ	api_i2c_read	= 0x00fe
.equ	api_i2c_write	= 0x0100
.equ	api_i2c_start	= 0x0102
.equ	api_i2c_stop	= 0x0104
.equ	api_i2c_rbyte	= 0x0106
.equ	api_i2c_rbyten	= 0x0108
.equ	api_i2c_wbyte	= 0x010a
.equ	api_i2c_rlm75	= 0x010c
.equ	api_eep_read	= 0x010e
.equ	api_eep_write	= 0x0110
.equ	api_abs		= 0x0112
.equ	api_add		= 0x0114
.equ	api_sub		= 0x0116
.equ	api_mul		= 0x0118
.equ	api_div		= 0x011a
.equ	api_sin		= 0x011c
.equ	api_cos		= 0x011e
.equ	api_eq		= 0x0120
.equ	api_lt		= 0x0122
.equ	api_gt		= 0x0124
.equ	api_sqr		= 0x0126
.equ	api_rnd		= 0x0128
.equ	api_adc		= 0x012a
.equ	api_dbit	= 0x012c
.equ	api_fs_create	= 0x012e
.equ	api_fs_delete	= 0x0130
.equ	api_fs_read	= 0x0132
.equ	api_fs_write	= 0x0134
.equ	api_fs_cfree	= 0x0136
.equ	api_fs_size	= 0x0138
.equ	api_fs_checkf	= 0x013a
.equ	api_fs_gettype	= 0x013c
.equ	api_fs_rread	= 0x0140
.equ	api_fs_rwrite	= 0x0145
.equ	api_fs_fsize	= 0x014a
.equ	api_fs_ffind	= 0x014c
.equ	api_fs_fsel	= 0x014e
.equ	api_fs_fsel_nb	= 0x0150
.equ	api_fs_check	= 0x0152
.equ	api_copychar4	= 0x0154
.equ	api_copychar6	= 0x0156
.equ	api_basrun	= 0x0158
.equ	api_exparser	= 0x015a
.equ	api_tparser	= 0x015c
.equ	api_lfind	= 0x015e
.equ	api_lcall	= 0x0160
.equ	api_preceive	= 0x0162
.equ	api_psend	= 0x0164
.equ	api_wpage	= 0x0166
.equ	api_arrview	= 0x0168
.equ	api_echeck	= 0x016a
.equ	api_basgetpar	= 0x016c
.equ	api_basgetvar	= 0x016e
.equ	api_vm0line	= 0x0170
.equ	api_vm0cls	= 0x0174
.equ	api_vm0char	= 0x0177
.equ	api_vm0gotoxy	= 0x017b
.equ	api_vm0plot	= 0x017d
.equ	api_vm0newline	= 0x017f
.equ	api_sbackup	= 0x0183
.equ	api_srestore	= 0x0185
.equ	api_screenshot	= 0x0187
.equ	api_aread	= 0x0189
.equ	api_awrite	= 0x018b
.equ	api_pageset	= 0x018d
